/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.275 Revision 1.461
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.275 2007/05/24 18:17:45 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.461 2010/08/15 11:54:27 flameeyes Exp $
4
5 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
6 ruby-1.9.2_rc2.ebuild:
7 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
8
9 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
10 ruby-1.8.7_p299.ebuild:
11 Bump eselect-ruby dependency
12
13 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
14 -ruby-1.9.1_p429.ebuild:
15 Remove ebuild that is not target for unmask anyway.
16
17 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
18 ruby-1.9.2_rc2.ebuild:
19 Try 2 to fix the berkdb 5 issue on 1.9.
20
21 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
22 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
23 ruby-1.9.2_rc2.ebuild:
24 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
25 support for adding new patchsets without bumping the revision for all the
26 old ebuilds as well.
27
28*ruby-1.9.2_rc2 (14 Jul 2010)
29
30 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
31 +ruby-1.9.2_rc2.ebuild:
32 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
33 might cause _further_ build failures as it changed slightly behaviour.
34 You're going to need to rebuild rubygems and then all the packages
35 previously installed after upgrading to this.
36
37 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
38 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
39 -ruby-1.9.1_p376.ebuild:
40 Cleanup old versions.
41
42*ruby-1.9.1_p429 (04 Jul 2010)
43
44 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
45 +ruby-1.9.1_p429.ebuild:
46 Version bump to new 1.9.1 release.
47
48*ruby-1.8.7_p299 (23 Jun 2010)
49
50 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
51 +ruby-1.8.7_p299.ebuild:
52 Version bump.
53
54 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
55 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
56 remove useless comments
57
58 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
59 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
60 ruby-1.9.1_p376.ebuild:
61 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
62 dev.gentoo.org now.
63
64 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
65 ruby-1.9.1_p376.ebuild:
66 Use the correct RUBYLIB.
67
68*ruby-1.8.7_p249-r2 (18 May 2010)
69*ruby-1.8.6_p388-r1 (18 May 2010)
70
71 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
72 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
73 ruby-1.9.1_p376.ebuild, metadata.xml:
74 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
75 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
76 add USE flags for ncurses, readline and libedit, and properly depend on
77 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
78 Emacs versions support ruby-mode themselves and it should be even more
79 updated.
80
81*ruby-1.8.7_p249-r1 (06 May 2010)
82
83 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
84 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
85 309789 by Sune Kloppenborg Jeppesen.
86
87 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
88 ruby-1.8.7_p249.ebuild:
89 Use $PVR instead of $PV in patchset names
90
91 06 May 2010; Alex Legler <a3li@gentoo.org>
92 -files/ruby-1.8.6-memory-leak.diff,
93 -files/ruby18-mkmf-parallel-install.patch,
94 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
95 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
96 Remove old version. Cleanup in files/
97
98*ruby-1.9.1_p376 (01 May 2010)
99
100 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
101 Version bump. Fixes security bugs 296052 and 300468. No longer installs
102 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
103 instead.
104
105 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
106 -ruby-1.8.7_p174-r1.ebuild:
107 Remove vulnerable ebuilds, 300468
108
109 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
110 ruby-1.8.7_p249.ebuild:
111 amd64 stable, security bug 300468
112
113 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
114 ruby-1.8.7_p249.ebuild:
115 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
116
117 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
118 Stable for HPPA (bug #300468).
119
120 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
121 Stable for HPPA (bug #300468).
122
123 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
124 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
125
126 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
127 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
128
129 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
130 ruby-1.8.6_p388.ebuild:
131 stable x86, security bug 300468
132
133 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
134 ruby-1.8.7_p249.ebuild:
135 stable x86, security bug 300468
136
137*ruby-1.8.6_p388 (10 Jan 2010)
138
139 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
140 +ruby-1.8.6_p388.ebuild:
141 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
142 version. The new ebuild also has the fix for bug 168939.
143
144*ruby-1.8.7_p249 (10 Jan 2010)
145
146 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
147 +ruby-1.8.7_p249.ebuild:
148 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
149 version
150
151 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
152 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
153
154*ruby-1.8.7_p248 (25 Dec 2009)
155
156 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
157 Version bump
158
159 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
160 Remove old version.
161
162 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
163 Remove old version.
164
165 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
166 ia64/s390/sh stable wrt #288699
167
168 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
169 stable sparc, bug 288699
170
171 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
172 arm stable, bug #288699
173
174 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
175 amd64/x86 stable, bug #288699
176
177 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
178 ruby-1.8.7_p174-r1.ebuild:
179 Stable on alpha, bug #288699
180
181 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
182 ppc stable #288699
183
184 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
185 Stable for HPPA (bug #288699).
186
187 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
188 Marked ~hppa too.
189
190*ruby-1.8.7_p174-r1 (06 Oct 2009)
191
192 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
193 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
194 eselect-ruby cleanup feature.
195
196*ruby-1.9.1_p243 (09 Sep 2009)
197
198 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
199 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
200 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
201 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
202 -files/ruby19-rubygems-proxy.patch,
203 -files/ruby-1.9.1_p129-parallelmake.patch,
204 -files/ruby19-mkmf-parallel-install.patch:
205 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
206 168939. Cleaning up old patches.
207
208*ruby-1.8.6_p383 (20 Aug 2009)
209
210 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
211 Patchlevel bump.
212
213 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
214 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
215 ruby-1.9.1_p129-r1.ebuild:
216 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
217
218 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
219 Removing vulnerable ebuild, bug 273213.
220
221 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
222 Marking ruby-1.8.6_p369 ppc for bug 273213
223
224 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
225 ruby-1.9.1_p129-r1.ebuild:
226 Prepend our library path instead of overwriting it during src_install.
227 Thanks to the reporter of bug #274824.
228
229*ruby-1.8.7_p174 (18 Jun 2009)
230
231 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
232 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
233 Replacing 187_p173 with _p174 because of a regression. Unifying the
234 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
235 patchsets.
236
237 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
238 Marking ruby-1.8.6_p369 ppc64 for bug 273213
239
240 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
241 arm/ia64/s390/sh/sparc stable wrt #273213
242
243 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
244 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
245 Removing old version, minor cleanup
246
247 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
248 -files/ruby-1.8.6-openssl.patch,
249 -files/ruby-1.8.6-shortname_constants.patch,
250 -files/ruby-1.8.6_p111-r13657.patch,
251 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
252 Removing vulnerable old Ruby version and stale patches, bug 274108.
253
254 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
255 ruby-1.8.6_p369.ebuild:
256 Stable on alpha, bug #273213
257
258 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
259 Stable for HPPA (bug #273213).
260
261 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
262 ruby-1.8.6_p369.ebuild:
263 stable x86, security bug 273213
264
265 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
266 amd64 stable, security bug 273213.
267
268*ruby-1.8.7_p173 (10 Jun 2009)
269*ruby-1.8.6_p369 (10 Jun 2009)
270
271 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
272 +ruby-1.8.7_p173.ebuild:
273 Version bumps for bug #273213.
274
275*ruby-1.9.1_p129-r1 (27 May 2009)
276
277 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
278 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
279 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
280 +files/ruby-1.9.1_p129-parallelmake.patch:
281 Revision bump, add patches 1) to make Ruby behave more similarly between
282 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
283 extensions (undefined symbols in them will cause abort at runtime 3) to
284 remove a concurrency issue when building the dl extension that could
285 result in a broken dl.so.
286
287 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
288 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
289 Don't block rdoc-2 or later (which may enter Portage one day as it's
290 needed by some Rakefiles).
291
292 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
293 ruby-1.9.1_p129.ebuild:
294 Add ~x86-fbsd keyword.
295
296 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
297 keyword ~sparc-fbsd, bug #252315
298
299*ruby-1.9.1_p129 (15 May 2009)
300
301 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
302 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
303 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
304 included in every release.
305
306 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
307 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
308 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
309 ruby-1.8.7_p160.ebuild:
310 Removing vulnerable versions (#268515), fixing license (#233747).
311
312 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
313 Stable for HPPA (bug #268515).
314
315 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
316 Adapting rubygems notice.
317
318 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
319 amd64 stable, bug #268515.
320
321 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
322 arm/ia64/s390/sh/sparc stable wrt #268515
323
324 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
325 ruby-1.8.6_p368.ebuild:
326 stable x86, security bug 268515
327
328 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
329 ruby-1.8.6_p368.ebuild:
330 Stable on alpha, bug #268515
331
332 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
333 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
334
335*ruby-1.8.7_p160 (07 May 2009)
336*ruby-1.8.6_p368 (07 May 2009)
337
338 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
339 +ruby-1.8.7_p160.ebuild:
340 Version bump as per secbug 268515. NB: These are the first ebuilds that
341 no longer use ruby-config.
342
343*ruby-1.9.1-r1 (03 Apr 2009)
344*ruby-1.8.7_p72-r11 (03 Apr 2009)
345*ruby-1.8.6_p287-r13 (03 Apr 2009)
346
347 03 Apr 2009; Alex Legler <a3li@gentoo.org>
348 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
349 +files/ruby18-mkmf-parallel-install.patch,
350 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
351 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
352 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
353 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
354 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
355 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
356 happy.
357
358*ruby-1.9.1 (21 Mar 2009)
359
360 21 Mar 2009; Alex Legler <a3li@gentoo.org>
361 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
362 +ruby-1.9.1.ebuild:
363 Adding Ruby 1.9.1 for preliminary testing
364
365 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
366 ruby-1.8.6_p287-r12.ebuild:
367 Marked ~ppc for bug #252315.
368
369 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
370 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
371 bug 261982.
372
373 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
374 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
375 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
376 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
377 Cleanup
378
379*ruby-1.8.7_p72-r10 (07 Mar 2009)
380
381 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
382 +ruby-1.8.7_p72-r10.ebuild:
383 Add a revision of ruby 1.8.7 using eselect ruby.
384
385 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
386 ~mips keyworded, bug #252315.
387
388 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
389 ruby-1.8.6_p287-r5.ebuild:
390 ppc stable, bug #260006
391
392 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
393 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
394
395 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
396 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
397 Fixing Tk USE flag test, bug 258893.
398
399 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
400 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
401
402 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
403 ruby-1.8.6_p287-r5.ebuild:
404 amd64 stable wrt security bug #260006
405
406 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
407 Stable for HPPA (bug #260006).
408
409 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
410 ruby-1.8.6_p287-r5.ebuild:
411 Stable on alpha, bug #260006
412
413*ruby-1.8.7_p72-r2 (23 Feb 2009)
414*ruby-1.8.6_p287-r12 (23 Feb 2009)
415*ruby-1.8.6_p287-r5 (23 Feb 2009)
416
417 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
418 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
419 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
420 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
421 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
422 now before compilation if Tk useflags don't match) and 230748 (adding
423 --enable-option-checking=no for newer versions of autoconf).
424
425 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
426 arm/ia64/s390/sh/sparc stable wrt #254307
427
428 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
429 ruby-1.8.6_p287-r4.ebuild:
430 Stable on alpha, bug #254307
431
432 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
433 ruby-1.8.6_p287-r11.ebuild:
434 keyword ~x86-fbsd, bug #252315
435
436 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
437 ppc stable #254307
438
439 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
440 amd64/x86 stable, bug #254307
441
442 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
443 stable ppc64, bug 254307
444
445 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
446 Stable for HPPA (bug #254307).
447
448 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
449 ruby-1.8.6_p287-r11.ebuild:
450 Marked ~hppa (bug #252315).
451
452*ruby-1.8.6_p287-r11 (11 Jan 2009)
453
454 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
455 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
456 +ruby-1.8.6_p287-r11.ebuild:
457 Backport conditional definition of missing openssl functions from ruby 1.8.7.
458 Fixes #254307.
459
460 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
461 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
462
463 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
464 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
465
466 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
467 ruby-1.8.6_p287-r10.ebuild:
468 Add ~sparc keyword, bug #252315
469
470*ruby-1.8.6_p287-r10 (23 Dec 2008)
471
472 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
473 +ruby-1.8.6_p287-r10.ebuild:
474 Version bump which switches from ruby-config to eselect-ruby. Dropped most
475 keywords since eselect-ruby does not yet have these keywords.
476
477 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
478 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
479 Revert the ruby-config changes. We can't remove them until we provide an
480 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
481 for breaking things as mentioned in bug #251833.
482
483 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
484 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
485 ruby-1.8.7_p72-r1.ebuild:
486 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
487 Thanks for the people noticing this in bug #251833.
488
489 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
490 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
491 ruby-1.8.7_p72-r1.ebuild:
492 Drop dependency on ruby-config, which will be removed from the tree. We
493 currently only have one major version of ruby in the tree (Ruby 1.8), so there
494 is no need for ruby-config at this moment. For newer versions of Ruby we will
495 use eselect-ruby, which can be found in the ruby overlay at the moment.
496
497 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
498 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
499 Use mirror://ruby in SRC_URI, fixes #237392.
500
501 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
502 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
503 -ruby-1.8.7_p72.ebuild:
504 Remove old versions. Leave one old stable version with cjk support.
505
506*ruby-1.8.6_p287-r3 (29 Nov 2008)
507
508 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
509 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
510 +ruby-1.8.6_p287-r3.ebuild:
511 Fix our expansion limit patch according to debian bug report
512 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
513 make sure people will pick up the fixed version. Thanks to Alex Legler for
514 mentioning the patch.
515
516*ruby-1.8.7_p72-r1 (26 Nov 2008)
517*ruby-1.8.6_p287-r2 (26 Nov 2008)
518
519 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
520 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
521 +ruby-1.8.7_p72-r1.ebuild:
522 Fix problem with shortname constants #247790, already fixed in upstream SVN.
523 Thanks to Alex Legler for providing the patch.
524
525 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
526 -ruby-1.8.6_p287.ebuild:
527 Remove versions that will not become stable
528
529 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
530 ruby-1.8.6_p287-r1.ebuild:
531 ppc stable, bug #225465
532
533 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
534 ruby-1.8.6_p287-r1.ebuild:
535 amd64 stable wrt security bug #225465
536
537 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
538 alpha/ia64/x86 stable wrt #225465
539
540 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
541 ruby-1.8.6_p287-r1.ebuild:
542 Sparc stable --- Security Bug #225465 --- good since late August.
543
544 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
545 Stable on ppc64; bug #225465
546
547 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
548 Stable for HPPA (bug #225465).
549
550*ruby-1.8.6_p287-r1 (29 Aug 2008)
551
552 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
553 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
554 +ruby-1.8.6_p287-r1.ebuild:
555 Fix REXML security issues, bug #236060.
556
557 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
558 Add GLEP 56 USE flag descriptions.
559
560*ruby-1.8.7_p72 (15 Aug 2008)
561
562 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
563 +ruby-1.8.7_p72.ebuild:
564 bump 1.8.7 to latest patch release
565
566*ruby-1.8.6_p287 (11 Aug 2008)
567
568 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
569 Version bump for brown paper bag relelease.
570
571 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
572 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
573 Remove broken version in favor of the just-added 1.8.6_p286
574
575*ruby-1.8.6_p286 (10 Aug 2008)
576
577 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
578 Version bump to latest released version of ruby 1.8.6. This version fixes the
579 security issues reported in #225465 and #234224. The cjk USE flag has been
580 dropped since no compatible patches have been released yet.
581
582 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
583 ruby-1.8.6_p230.ebuild:
584 drop cjk from SRC_URI as well
585
586 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
587 Drop cjk support since the most recent oniguruma patches no longer apply to
588 this version, #230111.
589
590 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
591 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
592 Try to fix the security issues reported in #225465 for ruby 1.8.6.
593 Unfortunately the official p230 has a change which causes segmentation faults
594 for applications like Rails and RSpec, so we are reverting that specific
595 change.
596
597*ruby-1.8.7_p22 (29 Jun 2008)
598
599 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
600 +ruby-1.8.7_p22.ebuild:
601 bump 1.8.7 for security fix
602
603 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
604 nevermind, don't bump this yet
605
606*ruby-1.8.6_p230 (20 Jun 2008)
607
608 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
609 version bump
610
611*ruby-1.8.7 (10 Jun 2008)
612
613 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
614 +ruby-1.8.7.ebuild:
615 bump 1.8.7 to final
616
617*ruby-1.8.7_pre2 (21 Apr 2008)
618
619 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
620 +ruby-1.8.7_pre2.ebuild:
621 Version Bump
622
623*ruby-1.8.7_pre1 (16 Apr 2008)
624
625 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
626 Version bump. Drop cjk until a new version of oniguruma appears.
627
628 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
629 amd64 stable, bug 212264
630
631 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
632 Stable for HPPA (bug #212264).
633
634 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
635 ruby-1.8.6_p114.ebuild:
636 ppc stable, bug #212264
637
638 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
639 alpha/ia64 stable wrt #212264
640
641 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
642 ruby-1.8.6_p114.ebuild:
643 stable x86, security bug 212264
644
645 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
646 Sparc stable, Security Bug #212264, builds and installs, initial tests run
647 as expected.
648
649 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
650 Marking ruby-1.8.6_p114 ppc64 for bug 212264
651
652*ruby-1.8.6_p114 (05 Mar 2008)
653
654 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
655 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
656 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
657 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
658 Version bump for #212264. Remove old ebuilds.
659
660 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
661 alpha/ia64 stable wrt #208916
662
663 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
664 Stable on ppc wrt bug 208916
665
666 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
667 x86 stable, bug #208916
668
669 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
670 ruby-1.8.6_p111-r1.ebuild:
671 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
672
673 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
674 -files/ruby-1.8.6-exit-status.patch,
675 -files/ruby-1.8.6_p110-net-http-p111.patch,
676 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
677 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
678 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
679 Remove old versions
680
681 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
682 Stable on ppc64
683
684 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
685 Stable on amd64; bug 199191
686
687 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
688 alpha/ia64/sparc stable wrt #199191
689
690 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
691 Remove now-obsolete warning about coreutils versions, #203156.
692
693 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
694 Stable for HPPA (bug #199191).
695
696*ruby-1.8.6_p111-r1 (23 Dec 2007)
697
698 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
699 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
700 ssl USE flags. Patch to p113.
701
702 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
703 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
704
705 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
706 x86 stable, security bug #199191
707
708*ruby-1.8.6_p111 (23 Dec 2007)
709
710 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
711 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
712 Version bump with patch for bug #199191
713
714 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
715 Move dependency on (X)Emacs modes to PDEPEND.
716
717 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
718 Add back ~hppa keyword now that XEmacs support files have been keyworded,
719 bug 196413
720
721*ruby-1.8.6_p110-r2 (21 Oct 2007)
722
723 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
724 +ruby-1.8.6_p110-r2.ebuild:
725 Add emacs and xemacs USE flags and use them to pull in the correct editing
726 mode for each. Had to drop several arch keywords as reported on bug 196413.
727
728 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
729 amd64 stable, security bug 194236
730
731 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
732 ruby-1.8.6_p110-r1.ebuild:
733 Stable on ppc64; bug #194236
734
735 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
736 amd64 stable, security bug 194236
737
738 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
739 Stable for HPPA (bug #194236).
740
741 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
742 alpha/ia64/sparc stable wrt security #194236
743
744 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
745 ruby-1.8.6_p110-r1.ebuild:
746 ppc stable, bug #194236
747
748 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
749 ruby-1.8.6_p110-r1.ebuild:
750 stable x86, security bug 194236
751
752 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
753 ruby-1.8.5_p113.ebuild:
754 stable x86, security bug 194236
755
756 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
757 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
758 -ruby-1.8.6_p110.ebuild:
759 Remove old versions
760
761*ruby-1.8.6_p110-r1 (30 Sep 2007)
762*ruby-1.8.5_p113 (30 Sep 2007)
763
764 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
765 +files/ruby-1.8.5_p113-net-http-p114.patch,
766 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
767 +ruby-1.8.6_p110-r1.ebuild:
768 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
769 using 1.8.6-p110 as base ebuild.
770
771 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
772 More fixes from gentoo-dev and graaff
773
774 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
775 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
776
777*ruby-1.8.6_p110 (24 Sep 2007)
778
779 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
780 Version bump
781
782*ruby-1.8.6_p36-r4 (26 Aug 2007)
783
784 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
785 +ruby-1.8.6_p36-r4.ebuild:
786 Use user LDFLAGS, #181436
787
788 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
789 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
790 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
791 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
792
793 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
794 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
795 -ruby-1.8.6_p36-r2.ebuild:
796 Remove some older versions that will not be promoted to stable, keeping at
797 least one version of each release.
798
799 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
800 ruby-1.8.6_p36-r3.ebuild:
801 (QA) RESTRICT clean up.
802
803*ruby-1.8.6_p36-r3 (04 Jul 2007)
804
805 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
806 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
807 fixed memory leak loading .so bug #182946
808
809 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
810 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
811 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
812 ruby-1.8.6_p36-r2.ebuild:
813 (QA) RESTRICT clean up.
814
815 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
816 Re-add stable keyword for alpha as per bug #181110
817
818 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
819 Back to ~amd64 wrt bug 181110
820
821 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
822 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
823
824*ruby-1.8.6_p36-r2 (20 Jun 2007)
825
826 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
827 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
828
829*ruby-1.8.6_p36-r1 (18 Jun 2007)
830
831 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
832 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
833 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
834 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
835 spbecker
836
837 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
838 Stable on amd64 wrt bug 181110
839
840*ruby-1.8.6_p36 (12 Jun 2007)
841
842 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
843 Version Bump. Bug #181379
844
845 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
846 Stable on mips, per #181110.
847
848 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
849 Stable on ppc wrt bug 181110
850
851 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
852 Stable for HPPA (bug #181110).
853
854 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
855 alpha/ia64/x86 stable wrt #181110
856
857 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
858 Stable on sparc wrt #181110
859
860 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
861 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
4 862
5 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild, 863 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild, 864 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
7 ruby-1.8.5_p35.ebuild: 865 ruby-1.8.5_p35.ebuild:
8 Add RESTRICT="test" to ebuilds that have no hope of passing. 866 Add RESTRICT="test" to ebuilds that have no hope of passing.

Legend:
Removed from v.1.275  
changed lines
  Added in v.1.461

  ViewVC Help
Powered by ViewVC 1.1.20